summaryrefslogtreecommitdiff
path: root/src/etc/stackrpms-thinkpad-p50s/fluxbox.startup
diff options
context:
space:
mode:
authorB. Stack <bgstack15@gmail.com>2022-11-03 19:00:04 -0400
committerB. Stack <bgstack15@gmail.com>2022-11-03 19:28:46 -0400
commitff8fb3958338891bc683b1ce510885f48eff4d17 (patch)
tree7142a4061d50de6475763e4b2443ee6c2ebe3f70 /src/etc/stackrpms-thinkpad-p50s/fluxbox.startup
downloadstackrpms-acer-chromebook-ff8fb3958338891bc683b1ce510885f48eff4d17.tar.gz
stackrpms-acer-chromebook-ff8fb3958338891bc683b1ce510885f48eff4d17.tar.bz2
stackrpms-acer-chromebook-ff8fb3958338891bc683b1ce510885f48eff4d17.zip
initial commit
Diffstat (limited to 'src/etc/stackrpms-thinkpad-p50s/fluxbox.startup')
-rw-r--r--src/etc/stackrpms-thinkpad-p50s/fluxbox.startup71
1 files changed, 71 insertions, 0 deletions
diff --git a/src/etc/stackrpms-thinkpad-p50s/fluxbox.startup b/src/etc/stackrpms-thinkpad-p50s/fluxbox.startup
new file mode 100644
index 0000000..7eef2bc
--- /dev/null
+++ b/src/etc/stackrpms-thinkpad-p50s/fluxbox.startup
@@ -0,0 +1,71 @@
+#!/bin/sh
+# File: /etc/stackrpms-thinkpad-p50s/fluxbox.startup
+# Location: stackrpms-thinkpad-p50s package
+# Author: bgstack15
+# Startdate: 2019-12-26
+# SPDX-License-Identifier: GPL-3.0
+# Title: Common fluxbox startup file for Thinkpad P50s platform
+# Package: stackrpms-thinkpad-p50s
+# Purpose: standardize fluxbox config across systems
+# History:
+# 2019-12-26 started on ltb-018 from fluxbox startup example
+# 2022-11-03 adapted for this package
+# Usage:
+# symlink your ~/.fluxbox/startup to this file with:
+# ln -sf /etc/stackrpms-thinkpad-p50s/fluxbox.startup ~/.fluxbox/startup
+# Reference:
+# ltb-018:~/.fluxbox/startup
+# Improve:
+# Documentation:
+# last modified: 2022-11-03-5 14:28
+
+# Change your keymap:
+xmodmap /etc/stackrpms-thinkpad-p50s/Xmodmap
+
+# for vlc on hidpi screens
+export QT_AUTO_SCREEN_SCALE_FACTOR=0
+export QT_SCREEN_SCALE_FACTORS=1
+
+# Applications you want to run with fluxbox.
+which fbautostart > /dev/null
+if [ $? -eq 0 ]; then
+ fbautostart
+fi
+
+volumeicon &
+copyq &
+xscreensaver -nosplash &
+/usr/lib/notification-daemon/notification-daemon &
+telegram-desktop &
+alttab -w 1 -s 1 -theme Numix-Circle &
+powerkit &
+sudo mount -a &
+/usr/bin/xdgmenumaker -f fluxbox -i > ~/.fluxbox/xdg-menu &
+/usr/bin/keyboard-leds-trayicons &
+~/bin/xscreensaver-watch.sh &
+/usr/bin/logout-manager-trayicon &
+# probably only one of these will be used:
+wicd-client -t &
+/usr/bin/connman-gtk &
+
+/usr/bin/myautomountd &
+/usr/bin/myautomount-trayicon &
+/usr/bin/netmounts-trayicon &
+# vpn-trayicon is only useful on demand.
+which fbxkb 1>/dev/null 2>&1 && test -f /etc/use-fbxkb && {
+ setxkbmap -option grp:switch,grp:shifts_toggle 'us,us(dvorak)' &
+ fbxkb &
+}
+KRB5_AUTH_DIALOG_DEBUG="no-persistence,no-app-menu,no-header-bar" gtk3-nocsd krb5-auth-dialog &
+/usr/bin/printf "" | sudo tee /var/lib/dbus/machine-id 1>/dev/null 2>&1 &
+
+# set wallpaper
+# use by symlinking /etc/wallpaper to whatever you want
+fbsetbg -a /etc/wallpaper
+
+# And last but not least we start fluxbox.
+# Because it is the last app you have to run it with ''exec'' before it.
+
+exec fluxbox
+# or if you want to keep a log:
+# exec fluxbox -log ~/fluxbox/log
bgstack15